
import { BasicColumn, FormSchema } from '@/components/Table';

// 引入开关组件

/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'Input',
    colProps: { span: 4 },
    componentProps: {

      placeholder: '搜索关键字',
    },
  },
];

/** 列表展示字段*/
export const columns: BasicColumn[] = [
  {
    title: '参数名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '参数说明',
    dataIndex: 'describe',
    width: 120,
  },
  {
    title: '参数类型',
    dataIndex: 'type',
    width: 120,
  },
  {
    title: '参数值',
    dataIndex: 'ParameterValues',
    width: 140,
  },


];

/** 新增编辑表单字段*/
export const formSchema: any[] = [
  {
    field: 'name',
    label: '规则名称',
    component: 'Input',
    rules: [
      {
        required: true,
        message: '请输入名称',
      },
    ],
  },
  {
    field: 'describe',
    component: 'InputTextArea',
    label: '规则描述',
    componentProps: {
      placeholder: '请输入描述',
      rows: 4,
    },
  },
  {
    field: 'sort',
    label: '所属规则组',
    component: 'Select',
    componentProps: {
      options: [
        { label: '规则组1', value: '规则组1' },
        { label: '规则组2', value: '规则组2' },
      ],
    },
  },
  {
    field: 'protectAction',
    label: '检查数据源',
    component: 'Select',
    componentProps: {
      options: [
        { label: 'inceptor', value: 'inceptor' },

      ],
    },
    rules: [
      {
        required: true,
        message: '请选择推荐保护动作',
      },
    ],
  },
  {
    field: 'params',
    label: '关联模板',
    component: 'Input',

  },

]

export const ruleModelFormSchema: any[] = [
  {
    field: 'rule',
    label: '规则名称',
    required: true,
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'distinct',
    label: '规则描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'group',
    label: '所属规则组',
    slot: 'group',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataSource',
    label: '检查数据源',
    required: true,
    slot: 'dataSource',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'model',
    label: '关键模板',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        { label: '质量模板', value: '质量模板' },
        { label: '内置模版', value: '内置模版' },
        { label: '非空检查(不为NULL)', value: '非空检查(不为NULL)' },

      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'config',
    label: '参数配置',
    slot: 'config',
    colProps: { lg: 24, md: 24 },
  },

  {
    field: 'preview',
    label: 'SQL预览',
    component: 'InputTextArea',
    componentProps: {
      placeholder: '请输入描述',
      rows: 4,
    },
    colProps: { lg: 24, md: 24 },
  },

];
export const ruleEditModelFormSchema: any[] = [
  {
    field: 'rule',
    label: '规则名称',
    required: true,
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'distinct',
    label: '规则描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'group',
    label: '所属规则组',
    slot: 'group',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataSource',
    label: '检查数据源',
    required: true,
    slot: 'dataSource',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataSource',
    label: '数据源',
    slot: 'dataSourceTxt',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'model',
    label: '关键模板',
    required: true,
    component: 'Select',
    componentProps: {
      options: [{ label: '公民身份号码', value: '公民身份号码' }],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'config',
    label: '参数配置',
    slot: 'config',
    colProps: { lg: 24, md: 24 },
  },

  {
    field: 'preview',
    label: 'SQL预览',
    component: 'InputTextArea',
    componentProps: {
      placeholder: '请输入描述',
      rows: 4,
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'task',
    label: '关联质量任务',
    slot: 'task',
    colProps: { lg: 24, md: 24 },
  },
];
export const configColumn: BasicColumn[] = [
  {
    title: '参数',
    dataIndex: 'config',
    width: 60,
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 60,
  },
  {
    title: '描述',
    dataIndex: 'describe',
    width: 60,
  },
  {
    title: '值',
    dataIndex: 'value',
    slots: { customRender: 'value' },
    width: 60,
  },
];
export const taskColumn: BasicColumn[] = [
  {
    title: '质量任务',
    dataIndex: 'task',
    width: 120,
  },
  {
    title: '质量任务描述',
    dataIndex: 'describe',
    width: 120,
  },
];
