import {BasicColumn, FormSchema} from '@/components/Table';

export const ruleFormSchema = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '搜索规则',
    },
    colProps: { lg: 4, md: 4 },
  },
  {
    field: 'group',
    label: '规则组',
    labelWidth: '60',
    component: 'Select',
    componentProps: {
      placeholder: '',
    },
    colProps: { lg: 5, md: 5 },
  },
  {
    field: 'task',
    label: '质量任务',
    labelWidth: '60',
    component: 'Select',
    componentProps: {
      placeholder: '',
    },
    colProps: { lg: 5, md: 5 },
  },
  {
    field: 'model',
    label: '质量模板',
    labelWidth: '60',
    component: 'Select',
    componentProps: {
      placeholder: '',
    },
    colProps: { lg: 5, md: 5 },
  },
  {
    field: 'mainBody',
    label: '质量主体',
    labelWidth: '60',
    component: 'Select',
    componentProps: {
      placeholder: '',
    },
    colProps: { lg: 5, md: 5 },
  },
];
export const ruleTable: BasicColumn[] = [
  {
    title: '质量规则',
    dataIndex: 'rule',
    width: 120,
  },
  {
    title: '数据源',
    dataIndex: 'dataSource',
    width: 120,
  },
  {
    title: '目录',
    dataIndex: 'catalog',
    width: 120,
  },
  {
    title: '数据库',
    dataIndex: 'database',
    width: 120,
  },
  {
    title: '数据表/主体',
    dataIndex: 'dataTable',
    width: 120,
  },
  {
    title: '字段',
    dataIndex: 'field',
    width: 120,
  },
  {
    title: '质量模板',
    dataIndex: 'model',
    width: 120,
  },
  {
    title: '规则组',
    dataIndex: 'group',
    width: 120,
  },
  {
    title: '质量维度',
    dataIndex: 'dimension',
    width: 120,
  },
];
export const ruleModelFormSchema: any[] = [
  {
    field: 'rule',
    label: '规则名称',
    required: true,
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'distinct',
    label: '规则描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'group',
    label: '所属规则组',
    slot: 'group',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataSource',
    label: '检查数据源',
    required: true,
    slot: 'dataSource',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'model',
    label: '关键模板',
    required: true,
    component: 'Select',
    componentProps: {
      options: [{ label: '公民身份号码', value: '公民身份号码' }],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'config',
    label: '参数配置',
    slot: 'config',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'whiteList',
    label: '质量白名单',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'preview',
    label: 'SQL预览',
    component: 'InputTextArea',
    componentProps: {
      placeholder: '请输入描述',
      rows: 4,
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'task',
    label: '关联质量任务',
    slot: 'task',
    colProps: { lg: 24, md: 24 },
  },
];
export const ruleEditModelFormSchema: any[] = [
  {
    field: 'rule',
    label: '规则名称',
    required: true,
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'distinct',
    label: '规则描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'group',
    label: '所属规则组',
    slot: 'group',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataSource',
    label: '检查数据源',
    required: true,
    slot: 'dataSource',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataSource',
    label: '数据源',
    slot: 'dataSourceTxt',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'model',
    label: '关键模板',
    required: true,
    component: 'Select',
    componentProps: {
      options: [{ label: '公民身份号码', value: '公民身份号码' }],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'config',
    label: '参数配置',
    slot: 'config',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'whiteList',
    label: '质量白名单',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'preview',
    label: 'SQL预览',
    component: 'InputTextArea',
    componentProps: {
      placeholder: '请输入描述',
      rows: 4,
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'task',
    label: '关联质量任务',
    slot: 'task',
    colProps: { lg: 24, md: 24 },
  },
];
export const configColumn: BasicColumn[] = [
  {
    title: '参数',
    dataIndex: 'config',
    width: 60,
  },
  {
    title: '参数类型',
    dataIndex: 'type',
    width: 60,
  },
  {
    title: '模板描述',
    dataIndex: 'describe',
    width: 60,
  },
  {
    title: '值',
    dataIndex: 'value',
    slots: { customRender: 'value' },
    width: 60,
  },
];
export const taskColumn: BasicColumn[] = [
  {
    title: '质量任务',
    dataIndex: 'task',
    width: 120,
  },
  {
    title: '质量任务描述',
    dataIndex: 'describe',
    width: 120,
  },
];
export const rulePreviewFormSchema: any[] = [
  {
    field: 'ruleName',
    component: 'Input',
    componentProps: {
      placeholder: '搜索规则',
    },
    colProps: { lg: 8, md: 8 },
  },
];
export const rulePreviewColumns = [
  {
    title: '质量规则',
    dataIndex: 'ruleName',
    width: 100,
  },
  {
    title: '数据源',
    dataIndex: 'dataSource',
    width: 100,
  },
  {
    title: '目录',
    dataIndex: 'catalog',
    width: 100,
  },
  {
    title: '数据库',
    dataIndex: 'database',
    width: 100,
  },
  {
    title: '数据表',
    dataIndex: 'dataTable',
    width: 100,
  },
  {
    title: '字段',
    dataIndex: 'field',
    width: 100,
  },
  {
    title: '质量模板',
    dataIndex: 'model',
    width: 100,
  },
  {
    title: '规则组',
    dataIndex: 'ruleGroup',
    width: 100,
  },
  {
    title: '参数',
    dataIndex: 'config',
    width: 100,
  },
];
export const importSchema: any[] = [
  {
    field: 'fileType',
    label: '导入类型',
    component: 'RadioGroup',
    required: true,
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '同集群导入', value: '1' },
        { label: '其他集群导入', value: '2' },
      ],
    },
  },
  {
    field: 'fileMethods',
    label: '导入文件选择',
    slot: 'fileMethods',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fileRename',
    label: '文件重名',
    component: 'RadioGroup',
    required: true,
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '全部放弃', value: '1' },
        { label: '全部替换', value: '2' },
        { label: '自动重命名', value: '3' },
      ],
    },
  },
];
export const ruleMoreUpdateModelFormSchema = [
  {
    field: 'date1',
    label: 'date1',
    component: 'DatePicker',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'number',
    label: 'number',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
  {
    field: 'value1',
    label: 'value1',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
  },
];
export const ruleGroupAddModelFormSchema = [
  {
    field: 'groupName',
    label: '新建规则组',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'type',
    label: '目录权属模式',
    slot: 'type',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'group',
    label: '权属工作组',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '默认工作组',
          value: '默认工作组',
        },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'rage',
    slot: 'range',
    colProps: { lg: 24, md: 24 },
  },
];
export const ruleGroupEditFormSchema = [
  {
    field: 'name',
    component: 'Input',
    colProps: { lg: 8, md: 8 },
  },
];
export const ruleGroupEditTable = [
  {
    title: '规则组名称',
    dataIndex: 'name',
    width: 240,
  },
  {
    title: '权属工作组',
    dataIndex: 'group',
    width: 240,
  },
];
export const moveInGroupFormSchema = [
  {
    field: 'group',
    label: '移入规则组',
    required: true,
    component: 'Select',
    componentProps: {
      mode: 'multiple',
      options: [
        {
          label: 'landing',
          value: 'landing',
        },
        {
          label: 'ods',
          value: 'ods',
        },
        {
          label: '毕业生',
          value: '毕业生',
        },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
];
export const addNewVersionFormSchema = [
  {
    field: 'describe',
    label: '版本说明',
    component: 'InputTextArea',
    componentProps: {
      placeholder: '请输入内容',
      autoSize: { minRows: 2, maxRows: 6 },
      maxlength: 255,
      showCount: true,
    },
    colProps: { lg: 24, md: 24 },
  },
];
export const versionFormSchema: FormSchema[] = [
  {
    field: 'field1',
    component: 'InputSearch',
    colProps: {
      span: 12,
    },
    componentProps: {
      placeholder: '输入关键字搜索',
      onChange: (e: any) => {
        console.log(e);
      },
    },
  },
];
