import { BasicColumn, FormSchema } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '类型',
    dataIndex: 'category',
    width: 120,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 140,
  },
];
export const SearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'isKinship',
    component: 'Checkbox',
    label: '仅看血缘对象',
    colProps: { span: 8 },
    labelWidth: 120,
  },
];
export const storageManagementColumns: BasicColumn[] = [
  {
    title: '参数名',
    dataIndex: 'parameterName',
    width: 120,
  },
  {
    title: '参数类型',
    dataIndex: 'parameterType',
    edit: true,
    editComponent: 'Select',
    editComponentProps: {
      options: [
        {
          label: '时间类',
          value: '1',
        },
        {
          label: '字符类',
          value: '2',
        },
        {
          label: '数值类',
          value: '3',
        },
        {
          label: '自定义类',
          value: '4',
        },
      ],
    },
    width: 200,
  },
  {
    title: '参数值',
    dataIndex: 'parameterValue',
    width: 80,
    editable: true,
    edit: true,
  },
];
export const storageManagementFormSchema: FormSchema[] = [
  {
    field: 'keyword',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '请输入关键字搜索',
    },
    colProps: { lg: 8, md: 4 },
  },
];
export const storageManagementData: any[] = [
  {
    id: '1',
    startTime: '2024-10-01 08:00:00',
    endTime: '2024-10-01 10:30:00',
    useTime: '2小时30分钟',
    status: '1',
    type: '手动清理',
    pointNum: '5000',
    num: '2000',
    user: '张三',
    parameterName: 'check_date',
    parameterType: '字符类',
    parameterValue: '参数值',
  },
  {
    id: '2',
    startTime: '2024-10-02 09:00:00',
    endTime: '2024-10-02 11:45:00',
    useTime: '2小时45分钟',
    status: '0',
    type: '自动清理',
    pointNum: '7000',
    num: '3500',
    user: '李四',
    parameterName: 'check_date',
    parameterType: '时间类',
    parameterValue: '参数值',
  },
  {
    id: '3',
    startTime: '2024-10-03 10:00:00',
    endTime: '2024-10-03 12:15:00',
    useTime: '2小时15分钟',
    status: '1',
    type: '手动清理',
    pointNum: '6000',
    num: '3000',
    user: '王五',
    parameterName: 'check_date',
    parameterType: '数值类',
    parameterValue: '参数值',
  },
  {
    id: '4',
    startTime: '2024-10-04 11:00:00',
    endTime: '2024-10-04 13:20:00',
    useTime: '2小时20分钟',
    status: '1',
    type: '自动清理',
    pointNum: '4500',
    num: '2250',
    user: '赵六',
    parameterName: 'check_date',
    parameterType: '自定义类',
    parameterValue: '参数值',
  },
  {
    id: '5',
    startTime: '2024-10-05 12:00:00',
    endTime: '2024-10-05 14:30:00',
    useTime: '2小时30分钟',
    status: '1',
    type: '手动清理',
    pointNum: '5500',
    num: '2750',
    user: '孙七',
    parameterName: 'check_date',
    parameterType: '数值类',
    parameterValue: '参数值',
  },
];
export const storageManagementBasicFormSchema: FormSchema[] = [
  {
    field: 'field12',
    component: 'BasicTitle',
    label: '规则展示',
    componentProps: {
      // line: true,
      span: true,
    },
    colProps: {
      span: 24,
    },
  },
  {
    field: 'divider-linked',
    component: 'Divider',
    label: 'name日期逻辑正确',
    colProps: {
      span: 24,
    },
  },
  {
    field: 'field122',
    component: 'InputTextArea',
    label: '',
    componentProps: {
      disabled: true,
      defaultValue:
        'RESPONSE_DATA_SUCCESSFULLY_RECEIVED_FROM_SERVER_WITH_STATUS_CODE_200_AND_RESPONSE_BODY_CONTAINING_EXPECTED_DATA_IN_JSON_FORMAT_WITH_NO_ERRORS_OR_WARNINGS_DETECTED_IN_THE_PROCESSRESPONSE_DATA_SUCCESSFULLY_RECEIVED_FROM_SERVER_WITH_STATUS_CODE_200_AND_RESPONSE_BODY_CONTAINING_EXPECTED_DATA_IN_JSON_FORMAT_WITH_NO_ERRORS_OR_WARNINGS_DETECTED_IN_THE_PROCESSRESPONSE_DATA_SUCCESSFULLY_RECEIVED_FROM_SERVER_WITH_STATUS_CODE_200_AND_RESPONSE_BODY_CONTAINING_EXPECTED_DATA_IN_JSON_FORMAT_WITH_NO_ERRORS_OR_WARNINGS_DETECTED_IN_THE_PROCESS',
    },
    colProps: {
      span: 24,
    },
  },
  {
    field: 'divider-linked',
    component: 'Divider',
    label: '创建日期逻辑',
    colProps: {
      span: 24,
    },
  },
  {
    field: 'field123',
    component: 'InputTextArea',
    label: '',
    componentProps: {
      disabled: true,
      defaultValue:
        'RESPONSE_DATA_SUCCESSFULLY_RECEIVED_FROM_SERVER_WITH_STATUS_CODE_200_AND_RESPONSE_BODY_CONTAINING_EXPECTED_DATA_IN_JSON_FORMAT_WITH_NO_ERRORS_OR_WARNINGS_DETECTED_IN_THE_PROCESSRESPONSE_DATA_SUCCESSFULLY_RECEIVED_FROM_SERVER_WITH_STATUS_CODE_200_AND_RESPONSE_BODY_CONTAINING_EXPECTED_DATA_IN_JSON_FORMAT_WITH_NO_ERRORS_OR_WARNINGS_DETECTED_IN_THE_PROCESSRESPONSE_DATA_SUCCESSFULLY_RECEIVED_FROM_SERVER_WITH_STATUS_CODE_200_AND_RESPONSE_BODY_CONTAINING_EXPECTED_DATA_IN_JSON_FORMAT_WITH_NO_ERRORS_OR_WARNINGS_DETECTED_IN_THE_PROCESS',
    },
    colProps: {
      span: 24,
    },
  },
];
