import { BasicColumn, FormSchema } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '类型',
    dataIndex: 'category',
    width: 120,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 140,
  },
];
export const SearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'isKinship',
    component: 'Checkbox',
    label: '仅看血缘对象',
    colProps: { span: 8 },
    labelWidth: 120,
  },
];
export const storageManagementColumns: BasicColumn[] = [
  {
    title: '参数名',
    dataIndex: 'parameterName',
    width: 120,
  },
  {
    title: '参数类型',
    dataIndex: 'parameterType',
    edit: true,
    editComponent: 'Select',
    editComponentProps: {
      options: [
        {
          label: '时间类',
          value: '1',
        },
        {
          label: '字符类',
          value: '2',
        },
        {
          label: '数值类',
          value: '3',
        },
        {
          label: '自定义类',
          value: '4',
        },
      ],
    },
    width: 200,
  },
  {
    title: '参数值',
    dataIndex: 'parameterValue',
    width: 80,
    editable: true,
    edit: true,
  },
];
export const storageManagementFormSchema: FormSchema[] = [
  {
    field: 'keyword',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '请输入关键字搜索',
    },
    colProps: { lg: 8, md: 4 },
  },
];
export const storageManagementData: any[] = [
  {
    id: '1',
    startTime: '2024-10-01 08:00:00',
    endTime: '2024-10-01 10:30:00',
    useTime: '2小时30分钟',
    status: '1',
    type: '手动清理',
    pointNum: '5000',
    num: '2000',
    user: '张三',
    parameterName: 'check_date',
    parameterType: '字符类',
    parameterValue: '参数值',
  },
  {
    id: '2',
    startTime: '2024-10-02 09:00:00',
    endTime: '2024-10-02 11:45:00',
    useTime: '2小时45分钟',
    status: '0',
    type: '自动清理',
    pointNum: '7000',
    num: '3500',
    user: '李四',
    parameterName: 'check_date',
    parameterType: '时间类',
    parameterValue: '参数值',
  },
  {
    id: '3',
    startTime: '2024-10-03 10:00:00',
    endTime: '2024-10-03 12:15:00',
    useTime: '2小时15分钟',
    status: '1',
    type: '手动清理',
    pointNum: '6000',
    num: '3000',
    user: '王五',
    parameterName: 'check_date',
    parameterType: '数值类',
    parameterValue: '参数值',
  },
  {
    id: '4',
    startTime: '2024-10-04 11:00:00',
    endTime: '2024-10-04 13:20:00',
    useTime: '2小时20分钟',
    status: '1',
    type: '自动清理',
    pointNum: '4500',
    num: '2250',
    user: '赵六',
    parameterName: 'check_date',
    parameterType: '自定义类',
    parameterValue: '参数值',
  },
  {
    id: '5',
    startTime: '2024-10-05 12:00:00',
    endTime: '2024-10-05 14:30:00',
    useTime: '2小时30分钟',
    status: '1',
    type: '手动清理',
    pointNum: '5500',
    num: '2750',
    user: '孙七',
    parameterName: 'check_date',
    parameterType: '数值类',
    parameterValue: '参数值',
  },
];
export const storageManagementBasicFormSchema: FormSchema[] = [
  // {
  //   field: 'field12',
  //   component: 'BasicTitle',
  //   label: '规则展示',
  //   componentProps: {
  //     // line: true,
  //     span: true,
  //   },
  //   colProps: {
  //     span: 24,
  //   },
  // },
  {
    field: 'taskName',
    component: 'Input',
    label: '质量任务名称',
    colProps: {
      span: 12,
    },
  },
  {
    field: 'dispatchCycle',
    component: 'Input',
    label: '调度周期',
    colProps: {
      span: 12,
    },
  },
  {
    field: 'description',
    component: 'InputTextArea',
    label: '描述',
    colProps: {
      span: 12,
    },
  },
  {
    field: 'timeoutCancel',
    component: 'Checkbox',
    label: '超时取消',
    componentProps: {},
    colProps: {
      span: 8,
    },
    suffix: '开启',
  },
  {
    field: 'checkType',
    component: 'RadioGroup',
    label: '检查方式',
    componentProps: {
      options: [
        { label: '全量', value: '1' },
        { label: '增量', value: '2' },
      ],
    },
    colProps: {
      span: 12,
    },
  },
  {
    field: 'updateTime',
    component: 'Input',
    label: '更新时间',
    componentProps: {
      disabled: true,
      defaultValue: '2024-10-01 00:00:00',
    },
    colProps: {
      span: 12,
    },
  },
  {
    field: 'ruleType',
    component: 'RadioGroup',
    label: '规则选择方式',
    componentProps: {
      options: [
        { label: '自由选择', value: '1' },
        { label: '按规则组选择', value: '2' },
      ],
    },
    colProps: {
      span: 24,
    },
  },
];
