import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';

export const Threecolumns: BasicColumn[] = [
  {
    title: '表名',
    dataIndex: 'orderName',
    width: 120,
  },
  {
    title: '列名',
    dataIndex: 'colName',
    width: 120,
  },
  {
    title: '中文名',
    dataIndex: 'chinaName',
    editable:true,
    edit:true,
    width: 120,
  },
  {
    title: '字段描述',
    dataIndex: 'des',
    editable:true,
    edit:true,
    width: 120,
  },
  {
    title: '字段类型',
    dataIndex: 'type',
    width: 120,
  },
  {
    title: '可空',
    dataIndex: 'empty',
    width: 120,
  },
  {
    title: '时间字段',
    dataIndex: 'time',
    editable:true,
    edit: true,
    editComponent: 'Checkbox',
    editValueMap: (value) => {
      return value ? '是' : '否';
    },
    width: 120,
  },
]
export const ThreecolumnsTwo: BasicColumn[] = [
  {
    title: '表名',
    dataIndex: 'orderName',
    editable:true,
    edit:true,
    width: 120,
  },
  {
    title: '列名',
    dataIndex: 'colName',
    width: 120,
  },
  {
    title: '中文名',
    dataIndex: 'chinaName',
    editable:true,
    edit:true,
    width: 120,
  },
  {
    title: '字段描述',
    dataIndex: 'des',
    editable:true,
    edit:true,
    width: 120,
  },
  {
    title: '字段类型',
    dataIndex: 'type',
    width: 120,
  },
  {
    title: '可空',
    dataIndex: 'empty',
    width: 120,
  },
  {
    title: '时间字段',
    dataIndex: 'time',
    editable:true,
    edit: true,
    editComponent: 'Checkbox',
    editValueMap: (value) => {
      return value ? '是' : '否';
    },
    width: 120,
  },
  {
    title: '主体标识',
    dataIndex: 'mainFlag',
    editable:true,
    edit: true,
    editComponent: 'Checkbox',
    editValueMap: (value) => {
      return value ? '是' : '否';
    },
    width: 120,
  },
]
export const Twocolumns: BasicColumn[] = [
  {
    title: '取消时间',
    dataIndex: 'cancelTime',
    width: 120,
  },
  {
    title: '车型',
    dataIndex: 'carType',
    width: 120,
  },
  {
    title: '城市',
    dataIndex: 'city',
    width: 120,
  },
  {
    title: '下单时间',
    dataIndex: 'creationTime',
    width: 120,
  },
  {
    title: '订单编号',
    dataIndex: 'orderId',
    width: 120,
  },
  {
    title: '用户',
    dataIndex: 'name',
    width: 120,
  },
]
export const columns: BasicColumn[] = [
  {
    title: '车型',
    dataIndex: 'carType',
    width: 120,
  },
  {
    title: '城市',
    dataIndex: 'city',
    width: 120,
  },
  {
    title: 'cancel_count',
    dataIndex: 'cancelCount',
    width: 120,
  },
  {
    title: '各城市各车型用户有效下单量',
    dataIndex: 'cityCar',
    width: 120,
  },
  {
    title: 'order_count',
    dataIndex: 'orderCount',
    width: 120,
  },
]


export const FormSchema: FormSchema[] = [
  {
    field: 'valueOne',
    label: '数据源',
    defaultValue:'1',
    component: 'Select',
    componentProps: {
      placeholder: '数据源',
      options: [
        { label: 'Inceptor68', value: '1' },
      ],
    },
    colProps: { span: 3 },
  },
  {
    field: 'valueTwo',
    label: '主体视图存储库',
    component: 'Select',
    componentProps: {
      placeholder: '主体视图存储库',
      options: [
        { label: 'default', value: '1' },
      ],
    },
    colProps: { span: 3 },
  },
  {
    field: 'valueThree',
    label: '主体视图名称',
    component: 'Input',
    colProps: { span: 3 },
    componentProps: {
      placeholder: '主体视图名称',
    },
  },
  {
    field: 'valueFour',
    label: '配置方式',
    component: 'Select',
    defaultValue: '1',
    componentProps: {
      placeholder: '配置方式',
      options: [
        { label: '可视化', value: '1' },
        { label: 'SQL模式', value: '2' },
      ],
    },
    colProps: { span: 3 },
  },
];
